if ( gray == 1 ) {
#	set terminal pngcairo mono size 600,800
	set terminal pngcairo color size 600,800
} else {
	set terminal pngcairo color size 1200,600
}

set xdata time
set timefmt "%s"

if (strlen(interval) > 2) {
	set xtics format "%H"
} else {
	set xtics format "%H:%M"
}

set pointsize 0.2

set output '/dev/shm/temp3.png'

unset border

set multiplot


if ( gray == 1 ) {
	set size 1, 0.5
	set origin 0.0, 0.5
} else {
	set size 1.0, 0.5
	set origin 0.0, 0.5
}

#if ( ! exists("t_mean")) {
if (1) {

t_mean=25
t_spread=30

h_mean = 50
h_spread = 50

print "using default mean and spread"
}

min_t = t_mean - ( t_spread / 2 )
max_t = t_mean + ( t_spread / 2 )

if ( ! exists("tz_secs") ) {
	tz_secs=7200
}

set ytics nomirror
unset y2tics
set y2range [0:50]

plot \
 "/dev/shm/data.DHT22-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with dots title "DHT22 unutra" lt rgb "#ff00ff" \
,"/dev/shm/data.DS18B20-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with dots title "DS18B20 unutra" lt rgb "#880088" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($2) with dots title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($2) with dots title "kupaona" lt rgb "#8888ff" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($2) with dots title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($2) with dots title "vani" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($2) with dots title "kutija" lt rgb "#0088cc" \
,"/dev/shm/boiler.d" using ($1+tz_secs):($2 > 0 ? 48 : 2) axes x1y2 with dots title "boiler on/off" lt rgb "#000000"


if ( exists("lines") && lines == 1 ) {
plot \
 "/dev/shm/data.DHT22-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with lines title "DHT22 unutra" lt rgb "#ff00ff" \
,"/dev/shm/data.DS18B20-t" using ($1+tz_secs):($2 > min_t && $2 < max_t ? $2 : '') with lines title "DS18B20 unutra" lt rgb "#880088" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($2) with lines title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($2) with lines title "kupaona" lt rgb "#8888ff" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($2) with lines title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($2) with lines title "vani" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($2) with lines title "kutija" lt rgb "#0088cc"  \
,"/dev/shm/boiler.d" using ($1+tz_secs):($2 > 0 ? 48 : 2) axes x1y2 with dots title "boiler on/off" lt rgb "#000000"
}

if ( gray == 1 ) {
	set origin 0.0, 0.0
} else {
	set origin 0.0, 0.0
}

min_h = h_mean - h_spread
max_h = h_mean + h_spread

plot \
 "/dev/shm/data.DHT22-h" using ($1+tz_secs):($2 > min_h && $2 < max_h ? $2 : '') with dots title "DHT22 unutra" lt rgb "#ff00ff" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($3) with dots title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($3) with dots title "kupaona" lt rgb "#8888ff" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($3) with dots title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($3) with dots title "vani" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($3) with dots title "kutija" lt rgb "#0088cc" \
,"/dev/shm/boiler.d" using ($1+tz_secs):($2 > 0 ? 48 : 2) axes x1y2 with dots title "boiler on/off" lt rgb "#000000"

if ( exists("lines") && lines == 1 ) {
plot \
 "/dev/shm/data.DHT22-h" using ($1+tz_secs):($2 > min_h && $2 < max_h ? $2 : '') with lines title "DHT22 unutra" lt rgb "#ff00ff" \
,"/dev/shm/data.kuhinja-t-h" using ($1+tz_secs):($3) with lines title "kuhinja" lt rgb "#ff8844" \
,"/dev/shm/data.kupaona-t-h"  using ($1+tz_secs):($3) with lines title "kupaona" lt rgb "#8888ff" \
,"/dev/shm/data.soba-t-h" using ($1+tz_secs):($3) with lines title "soba" lt rgb "#ffcc00" \
,"/dev/shm/data.vani-t-h" using ($1+tz_secs):($3) with lines title "vani" lt rgb "#00cc00" \
,"/dev/shm/data.kutija-t-h" using ($1+tz_secs):($3) with lines title "kutija" lt rgb "#0088cc" \
,"/dev/shm/boiler.d" using ($1+tz_secs):($2 > 0 ? 48 : 2) axes x1y2 with dots title "boiler on/off" lt rgb "#000000"
}
unset multiplot
